# Interface NumberGenerator<T extends Number>

Type Parameters:
  `T` - The type (Integer, Long, Double, etc.) of number to generate.

All Known Implementing Classes:
  `AdjustableNumberGenerator, BinomialGenerator, ConstantGenerator, ContinuousUniformGenerator, DiscreteUniformGenerator, ExponentialGenerator, GaussianGenerator, PoissonGenerator`

public interface NumberGenerator<T extends Number>
Interface for providing different types of sequences of numbers. This is a simple but powerful abstraction that provides considerable flexibility in implementing classes that require numeric configuration. Refer to the implementations in this package for examples of how it can be used.

See Also:
  - `ConstantGenerator`
  - `AdjustableNumberGenerator`

## Method Summary

Modifier and Type
Method
Description
`T`
`nextValue()`

## Method Details

### nextValue

T nextValue()

Returns:
  The next value from the generator.